#ifndef COMMANDE_H
#define COMMANDE_H
#include <QString>
#include <QSqlQuery>
#include <QSqlQueryModel>
#include <QMessageBox>
#include <QDialog>


class commande
{

public:
    commande();
    commande(int,int,int,QString);
Depot(int);
    int getnumC();
    int getPrixC();
    int getquantite();
    QString getetat();
    QDate getdate();
    bool ajouter();
    bool modifier(int, int, int, QString);
    QSqlQueryModel * afficher();
    bool supprimer(int);
    // QSqlQueryModel * sortetat();
     QSqlQueryModel * sortnumC();
    /* QSqlQueryModel * sortPrixC();
     QSqlQueryModel * sortquantite();
     QSqlQueryModel * sortdate();*/
     QSqlQueryModel * cherchernumC(int);
     QSqlQueryModel * chercherPrixC(int);
     /*
     QSqlQueryModel * chercherquantite(int);
     QSqlQueryModel * chercheretat(QString);
     QSqlQueryModel * chercheredate(QDate);*/
     //bool cherchernum();
     bool notifier();
    // bool verifierExetat(QString);
     bool verifierExnumC(int);
     bool verifierExPrixC(int);
     /*
     bool verifierExquantite(int);
     bool verifierExdate(QDate);*/
private :int numC,prixC,quantite ;
  QString etat;


};
#endif // COMMANDE_H
